import Vue from 'vue';

async function deleteCan(id) {
    return Vue.axios.delete('/admin/can/' + id);
}

async function getCans() {
    return Vue.axios.get('/can');
}

async function insertCan(can, rewardCan, price) {
    const request = {can: can, rewardCan: rewardCan, price: price}
    return Vue.axios.post('/admin/can', request);
}

async function paymentCan(can, method, member_id) {
    const request = {memberId: member_id, method: method, can: can}
    return Vue.axios.post('/admin/can/charge', request)
}

export {getCans, insertCan, deleteCan, paymentCan}
